Bug 616659 - mrg buffers: migration breaks between systems with/without vhost
Summary: mrg buffers: migration breaks between systems with/without vhost
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: beta
: 6.1
Assignee: jason wang
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Rhel6KvmTier1 616660
TreeView+ depends on / blocked
 
Reported: 2010-07-21 04:53 UTC by Michael S. Tsirkin
Modified: 2013-01-09 22:54 UTC (History)
10 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.129.el6
Doc Type: Bug Fix
Doc Text:
Cause: vhost_net does not have the feature of mergeable buffer. Consequence: Migrate a guest from src with userspace backend to a dest with vhost_net backend would break. Fix: Add the support of mergeable buffer support to vhost_net. Result: Migrate between userspace virtio-net and vhost_net backend would not fail.
Story Points: ---
Clone Of:
: 616660 (view as bug list)
Environment:
Last Closed: 2011-05-19 11:28:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0534 normal SHIPPED_LIVE Important: qemu-kvm security, bug fix, and enhancement update 2011-05-19 11:20:36 UTC
Red Hat Bugzilla 632745 None None None Never

Internal Trackers: 632745

Description Michael S. Tsirkin 2010-07-21 04:53:38 UTC
Description of problem:
vhost transparently disables mergeable buffers flag.
This causes migration to fail if it is attempted between
systems with/without this flag set.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.90.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. on system A remove vhost_net module
2. on system B leave it in
3. start qemu with virtio-net
4. attempt migration B->A
  
Actual results:
migration fails

Expected results:
migration passes

Comment 7 Mike Cao 2011-01-13 09:32:29 UTC
note :should   migration from vhost off to vhost on
reproduced on
# uname -r
2.6.32-92.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.90.el6.x86_64

Actual Result:
Features 0x100fffe3 unsupported. Allowed features: 0x511f7fe3
load of migration failed


Verified on 
# uname -r
2.6.32-94.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.129.el6.x86_64

Actual result:
After migration ,guest works well.

Base on above ,this issue has been fixed already.

Comment 11 Miya Chen 2011-03-09 05:03:26 UTC
move to verified based on comment#7

Comment 12 jason wang 2011-05-05 09:52:28 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: vhost_net does not have the feature of mergeable buffer.

Consequence: Migrate a guest from src with userspace backend to a dest with vhost_net backend would break.

Fix: Add the support of mergeable buffer support to vhost_net.

Result: Migrate between userspace virtio-net and vhost_net backend would not fail.

Comment 13 errata-xmlrpc 2011-05-19 11:28:46 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Comment 14 errata-xmlrpc 2011-05-19 12:46:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html


Note You need to log in before you can comment on or make changes to this bug.